%define		qmake %_qt4dir/bin/qmake
Version:	qt4.2.1
Name:		torrent
%define		rname %name-qt4
Release:	alt0.M24.3
Summary:	%rname - torrent client from QT4 examples
License: 	GPL
Group: 		Networking/File transfer
Url:		http://www.trolltech.com/qt/
Source:		%rname.tar.bz2
BuildPreReq:	ImageMagick
# Automatically added by buildreq on Tue Nov 28 2006
# Manually removed qt4-settings
BuildRequires: XFree86-libs fontconfig freetype2 gcc-c++ libqt4-devel libstdc++-devel

%description
%rname - torrent client from QT4 examples

%prep
%setup -q -n %rname

%build
%qmake *.pro
%__subst 's|-pipe -Wall -W -D_REENTRANT|%optflags|g' Makefile
%make_build

%install
%__install -Dp -m 0755 torrent %buildroot%_bindir/%rname
# Menu & icons
%__mkdir -p %buildroot%_menudir %buildroot%_liconsdir %buildroot%_miconsdir
convert -resize 48x48 icons/peertopeer.png %buildroot%_liconsdir/%rname.png
convert -resize 32x32 icons/peertopeer.png %buildroot%_iconsdir/%rname.png
convert -resize 16x16 icons/peertopeer.png %buildroot%_miconsdir/%rname.png

cat << EOF > %buildroot%_menudir/%rname
?package(%name): needs=x11 icon="%rname.png" \\
section="Networking/File transfer" title="Torrent QT4" \\
longtitle="Torrent client from QT4 examples" \\
command=%_bindir/%rname
EOF


%post
%update_menus

%preun
%clean_menus

%files
%_bindir/*
%_menudir/*
%_iconsdir/*.png
%_liconsdir/*
%_miconsdir/*

%changelog
* Mon Dec 18 2006 Motsyo Gennadi <drool@altlinux.ru> qt4.2.1-alt0.M24.3
- change version in accordance with qt4 version
- fix optflags

* Thu Dec 14 2006 Motsyo Gennadi <drool@altlinux.ru> qt4-alt0.M24.2
- fix spec for filesystem intersections

* Tue Nov 28 2006 Motsyo Gennadi <drool@altlinux.ru> qt4-alt0.M24.1
- build from QT4 examples for ALT Linux 2.4 Master
